Summary: Utilities for TORQUE configuration
Name: glite-yaim-torque-utils
Version: 5.1.2
Release: 2%{?dist}%{!?dist:.el5}
License: Apache License 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildArch: noarch
Requires: glite-yaim-core
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
Utilities for TORQUE configuration

%prep

%setup -c -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/glite/yaim/functions
mkdir -p %{buildroot}/opt/glite/yaim/node-info.d
mkdir -p %{buildroot}/opt/glite/yaim/defaults
mkdir -p %{buildroot}/opt/glite/yaim/etc/versions

cp %{_builddir}/%{name}-%{version}/config/functions/config* %{buildroot}/opt/glite/yaim/functions
cp %{_builddir}/%{name}-%{version}/config/node-info.d/glite* %{buildroot}/opt/glite/yaim/node-info.d
cp %{_builddir}/%{name}-%{version}/config/defaults/glite* %{buildroot}/opt/glite/yaim/defaults
echo "glite-yaim-torque-utils 5.1.2-2" > %{buildroot}/opt/glite/yaim/etc/versions/glite-yaim-torque-utils

%clean
rm -rf %{buildroot}

 

%files
%defattr(-,root,root)
/opt/glite/yaim/defaults/glite-torque_utils.pre
/opt/glite/yaim/etc/versions/glite-yaim-torque-utils
/opt/glite/yaim/functions/config_*
/opt/glite/yaim/node-info.d/glite-torque_utils

%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 5.1.2-2
- New major release

